SA-MP Forums

Go Back   SA-MP Forums > SA-MP Scripting and Plugins > Scripting Help

Reply
 
Thread Tools Display Modes
Old 13/09/2019, 03:51 PM   #1
calypsomen
Little Clucker
 
Join Date: Sep 2012
Posts: 24
Reputation: 0
Default OpenSSL 32 bit

Hi everybody,

I have an error using Discord Connector and I see that i've to download OpenSSL 32 bit.
Where I can find or install OpenSSL 32 bit on Debian 9 (which is 64 bits).

Thank you very much !
calypsomen is offline   Reply With Quote
Old 13/09/2019, 04:52 PM   #2
Plastikmensch
Huge Clucker
 
Join Date: Aug 2016
Posts: 272
Reputation: 27
Default Re: OpenSSL 32 bit

You can get 32bit packages on debian by applying :i386 to the package name, if one is available.
Code:
sudo apt install openssl:i386
Plastikmensch is offline   Reply With Quote
Old 13/09/2019, 11:46 PM   #3
calypsomen
Little Clucker
 
Join Date: Sep 2012
Posts: 24
Reputation: 0
Default Re: OpenSSL 32 bit

I tried this but it didn't work :

Loading plugin: discord-connector.so
[01:45:21] Failed (libssl.so.1.0.0: cannot open shared object file: No such file or directory)
calypsomen is offline   Reply With Quote
Old 14/09/2019, 08:24 AM   #4
Plastikmensch
Huge Clucker
 
Join Date: Aug 2016
Posts: 272
Reputation: 27
Default Re: OpenSSL 32 bit

Ah, then your problem is a different one.
The version of openssl you have, doesn't match the version the plugin requires.
Try
Code:
sudo apt install openssl:i386=1.0.0
Or build the plugin yourself from source, which should then use the updated library.
Plastikmensch is offline   Reply With Quote
Old 14/09/2019, 09:58 AM   #5
calypsomen
Little Clucker
 
Join Date: Sep 2012
Posts: 24
Reputation: 0
Default Re: OpenSSL 32 bit

It works, but i have an other error :

Loading plugin: discord-connector.so
[11:59:01] Failed (/usr/lib/i386-linux-gnu/libstdc++.so.6: version `GLIBCXX_3.4.21' not found (required by plugins/discord-connector.so))

I tried to install gcc but it didn't change
calypsomen is offline   Reply With Quote
Old 14/09/2019, 10:52 AM   #6
Plastikmensch
Huge Clucker
 
Join Date: Aug 2016
Posts: 272
Reputation: 27
Default Re: OpenSSL 32 bit

Which version of gcc did you install?
According to the plugin author, you need at least version 4.9
Try
Code:
sudo apt install gcc-4.9:i386
(Or search gcc and pick another version)
Plastikmensch is offline   Reply With Quote
Old 14/09/2019, 01:33 PM   #7
calypsomen
Little Clucker
 
Join Date: Sep 2012
Posts: 24
Reputation: 0
Default Re: OpenSSL 32 bit

Yes i tried this but it didn't change nothing :/
calypsomen is offline   Reply With Quote
Old 14/09/2019, 02:07 PM   #8
Plastikmensch
Huge Clucker
 
Join Date: Aug 2016
Posts: 272
Reputation: 27
Default Re: OpenSSL 32 bit

What's the output of
Code:
strings /usr/lib/i386-linux-gnu/libstdc++.so.6 | grep GLIBCXX
?
Plastikmensch is offline   Reply With Quote
Old 14/09/2019, 02:11 PM   #9
B3x7K
Big Clucker
 
B3x7K's Avatar
 
Join Date: Aug 2017
Location: 惑星黒トカゲ
Posts: 78
Reputation: 3
Default Re: OpenSSL 32 bit

https://github.com/maddinat0r/samp-d...ctor/issues/81

Code:
sudo apt-get install openssl-libs.i686
__________________

HOW TO ENGLISH?!
AAAAAAAAAAAAAAAA

B3x7K is offline   Reply With Quote
Old 14/09/2019, 02:22 PM   #10
Plastikmensch
Huge Clucker
 
Join Date: Aug 2016
Posts: 272
Reputation: 27
Default Re: OpenSSL 32 bit

Quote:
Originally Posted by B3x7K View Post
https://github.com/maddinat0r/samp-d...ctor/issues/81

Code:
sudo apt-get install openssl-libs.i686
The issue was related to CentOS and the package openssl-libs doesn't exist in debian
Plastikmensch is offline   Reply With Quote
Reply

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off



All times are GMT. The time now is 02:49 AM.


Powered by vBulletin® Version 3.8.6
Copyright ©2000 - 2020, Jelsoft Enterprises Ltd.